package com.dcit.danger.dao;

import com.dcit.danger.model.THiddenTrouble;
import com.dcit.danger.model.THiddenTroubleExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface THiddenTroubleMapper {
    int countByExample(THiddenTroubleExample example);

    List<Map<Object, Object>> countByEnterprise();

    int deleteByExample(THiddenTroubleExample example);

    int deleteByPrimaryKey(String id);

    int insert(THiddenTrouble record);

    int insertSelective(THiddenTrouble record);

    List<THiddenTrouble> selectByExample(THiddenTroubleExample example);

    THiddenTrouble selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") THiddenTrouble record, @Param("example") THiddenTroubleExample example);

    int updateByExample(@Param("record") THiddenTrouble record, @Param("example") THiddenTroubleExample example);

    int updateByPrimaryKeySelective(THiddenTrouble record);

    int updateByPrimaryKey(THiddenTrouble record);
}